# Tenant

Tenant

## List tenants

> Listing all tenant the user has access to.\
> \
> Required permission: TENANT.ACCESS

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"TenantResponseSchema":{"title":"TenantResponseSchema","type":"object","required":["countryCode","createdAt","lastModifiedAt","name","pricelistUid","tenantUid","vatNumber","settings","appSettings","extensions","assets","timezone","languageCode","currency"],"properties":{"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/OptionalUID"},"tenantUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"availableExtensions":{"type":"array","deprecated":true,"items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"settings":{"$ref":"#/components/schemas/TenantSettingsResponseSchema"},"appSettings":{"$ref":"#/components/schemas/TenantAppSettingsResponseSchema"},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/TenantExtensionSchema"}},"assets":{"$ref":"#/components/schemas/TenantAssetSchema"},"timezone":{"$ref":"#/components/schemas/TimezoneTYPE"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"},"currency":{"$ref":"#/components/schemas/TenantCurrencySchema"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"TenantSettingsResponseSchema":{"title":"TenantSettings","type":"object","required":["allowExternalCashDrawer","autoLogout","autoPrintReceipt","numericSkuCounter","printCardPaymentDetails","sendInvoicesExternally"],"properties":{"allowExternalCashDrawer":{"type":"boolean","default":false},"autoLogout":{"type":"integer","description":"time in seconds, 0 means not enabled"},"autoPrintReceipt":{"type":"boolean"},"numericSkuCounter":{"type":"integer"},"printCardPaymentDetails":{"type":"boolean","description":"toogle on/off payment terminal details on receipt","default":false},"sendInvoicesExternally":{"type":"boolean"}}},"TenantAppSettingsResponseSchema":{"title":"TenantAppSettingsResponseSchema","type":"object","required":["showOutOfStockWarning"],"properties":{"showOutOfStockWarning":{"type":"boolean"}}},"TenantExtensionSchema":{"title":"TenantExtensionSchema","type":"object","required":["extensionCode","name","active"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"},"active":{"type":"boolean"}}},"TenantAssetSchema":{"title":"TenantAssetSchema","type":"object","required":["logo","splash"],"properties":{"logo":{"$ref":"#/components/schemas/AssetUrlSchema"},"splash":{"$ref":"#/components/schemas/AssetUrlSchema"}}},"AssetUrlSchema":{"title":"AssetUrlSchema","type":"object","required":["url","assetUid"],"properties":{"url":{"type":"string"},"assetUid":{"$ref":"#/components/schemas/UID"}}},"TimezoneTYPE":{"title":"Timezone","type":"string","description":"The timezone in tz/zoneinfo format. Example: Europe/Oslo"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"TenantCurrencySchema":{"title":"TenantCurrencySchema","type":"object","required":["code","name","symbol","symbolPosition","decimalSeparator","thousandSeparator","cashRounding"],"properties":{"code":{"type":"string","description":"ISO 4217"},"name":{"type":"string"},"symbol":{"type":"string","description":"symbol or short name, e.g. `$`, `kr` etc. "},"symbolPosition":{"type":"string","description":"prefix or suffix to the amount"},"decimalSeparator":{"type":"string"},"thousandSeparator":{"type":"string"},"cashRounding":{"type":"integer","description":"the smallest amount accepted as cash"}}},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"TenantListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TenantResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants":{"get":{"description":"Listing all tenant the user has access to.\n\nRequired permission: TENANT.ACCESS","operationId":"get-tenants","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/TenantListResponse"}},"summary":"List tenants","tags":["Tenant"]}}}}
```

## Get tenant details

> Internal endpoint for details for a tenant.\
> \
> Required permission: TENANT.ACCESS

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantResponseSchema"}}},"description":"Example response"},"GenericErrorResponse":{"content":{"application/json":{"schema":{"properties":{"code":{"type":"string"},"message":{"type":"string","description":"Error message in the locale you specify in the Accept-Language header or specified on the user"},"logId":{"type":"string","description":"Log identification. Can be used when reporting errors to Flow Solutions"}},"type":"object"}}},"description":"Linking failed. Ther error message will have information about what failed."}},"schemas":{"TenantResponseSchema":{"title":"TenantResponseSchema","type":"object","required":["countryCode","createdAt","lastModifiedAt","name","pricelistUid","tenantUid","vatNumber","settings","appSettings","extensions","assets","timezone","languageCode","currency"],"properties":{"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/OptionalUID"},"tenantUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"availableExtensions":{"type":"array","deprecated":true,"items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"settings":{"$ref":"#/components/schemas/TenantSettingsResponseSchema"},"appSettings":{"$ref":"#/components/schemas/TenantAppSettingsResponseSchema"},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/TenantExtensionSchema"}},"assets":{"$ref":"#/components/schemas/TenantAssetSchema"},"timezone":{"$ref":"#/components/schemas/TimezoneTYPE"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"},"currency":{"$ref":"#/components/schemas/TenantCurrencySchema"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"TenantSettingsResponseSchema":{"title":"TenantSettings","type":"object","required":["allowExternalCashDrawer","autoLogout","autoPrintReceipt","numericSkuCounter","printCardPaymentDetails","sendInvoicesExternally"],"properties":{"allowExternalCashDrawer":{"type":"boolean","default":false},"autoLogout":{"type":"integer","description":"time in seconds, 0 means not enabled"},"autoPrintReceipt":{"type":"boolean"},"numericSkuCounter":{"type":"integer"},"printCardPaymentDetails":{"type":"boolean","description":"toogle on/off payment terminal details on receipt","default":false},"sendInvoicesExternally":{"type":"boolean"}}},"TenantAppSettingsResponseSchema":{"title":"TenantAppSettingsResponseSchema","type":"object","required":["showOutOfStockWarning"],"properties":{"showOutOfStockWarning":{"type":"boolean"}}},"TenantExtensionSchema":{"title":"TenantExtensionSchema","type":"object","required":["extensionCode","name","active"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"},"active":{"type":"boolean"}}},"TenantAssetSchema":{"title":"TenantAssetSchema","type":"object","required":["logo","splash"],"properties":{"logo":{"$ref":"#/components/schemas/AssetUrlSchema"},"splash":{"$ref":"#/components/schemas/AssetUrlSchema"}}},"AssetUrlSchema":{"title":"AssetUrlSchema","type":"object","required":["url","assetUid"],"properties":{"url":{"type":"string"},"assetUid":{"$ref":"#/components/schemas/UID"}}},"TimezoneTYPE":{"title":"Timezone","type":"string","description":"The timezone in tz/zoneinfo format. Example: Europe/Oslo"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"TenantCurrencySchema":{"title":"TenantCurrencySchema","type":"object","required":["code","name","symbol","symbolPosition","decimalSeparator","thousandSeparator","cashRounding"],"properties":{"code":{"type":"string","description":"ISO 4217"},"name":{"type":"string"},"symbol":{"type":"string","description":"symbol or short name, e.g. `$`, `kr` etc. "},"symbolPosition":{"type":"string","description":"prefix or suffix to the amount"},"decimalSeparator":{"type":"string"},"thousandSeparator":{"type":"string"},"cashRounding":{"type":"integer","description":"the smallest amount accepted as cash"}}}}},"paths":{"/tenants/{tenantUid}":{"get":{"description":"Internal endpoint for details for a tenant.\n\nRequired permission: TENANT.ACCESS","operationId":"get-tenants-details","responses":{"200":{"$ref":"#/components/responses/TenantResponse"},"404":{"$ref":"#/components/responses/GenericErrorResponse"}},"summary":"Get tenant details","tags":["Tenant"]}}}}
```

## Update tenant details

> Required permission: TENANT ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TenantUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUpdateSchema"}}}}},"schemas":{"TenantUpdateSchema":{"title":"TenantUpdateSchema","type":"object","properties":{"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/OptionalUID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"allowExternalCashDrawer":{"type":"boolean","default":false},"autoLogout":{"type":"integer","description":"time in seconds, 0 means not enabled","default":0},"autoPrintReceipt":{"type":"boolean"},"showOutOfStockWarning":{"type":"boolean"},"logoAssetUid":{"$ref":"#/components/schemas/OptionalUID"},"splashAssetUid":{"$ref":"#/components/schemas/OptionalUID"},"timezone":{"$ref":"#/components/schemas/TimezoneTYPE"},"numericSkuCounter":{"type":"integer"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"},"printCardPaymentDetails":{"type":"boolean","description":"toogle on/off payment terminal details on receipt"},"sendInvoicesExternally":{"type":"boolean"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"TimezoneTYPE":{"title":"Timezone","type":"string","description":"The timezone in tz/zoneinfo format. Example: Europe/Oslo"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"TenantResponseSchema":{"title":"TenantResponseSchema","type":"object","required":["countryCode","createdAt","lastModifiedAt","name","pricelistUid","tenantUid","vatNumber","settings","appSettings","extensions","assets","timezone","languageCode","currency"],"properties":{"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/OptionalUID"},"tenantUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"availableExtensions":{"type":"array","deprecated":true,"items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"settings":{"$ref":"#/components/schemas/TenantSettingsResponseSchema"},"appSettings":{"$ref":"#/components/schemas/TenantAppSettingsResponseSchema"},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/TenantExtensionSchema"}},"assets":{"$ref":"#/components/schemas/TenantAssetSchema"},"timezone":{"$ref":"#/components/schemas/TimezoneTYPE"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"},"currency":{"$ref":"#/components/schemas/TenantCurrencySchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"TenantSettingsResponseSchema":{"title":"TenantSettings","type":"object","required":["allowExternalCashDrawer","autoLogout","autoPrintReceipt","numericSkuCounter","printCardPaymentDetails","sendInvoicesExternally"],"properties":{"allowExternalCashDrawer":{"type":"boolean","default":false},"autoLogout":{"type":"integer","description":"time in seconds, 0 means not enabled"},"autoPrintReceipt":{"type":"boolean"},"numericSkuCounter":{"type":"integer"},"printCardPaymentDetails":{"type":"boolean","description":"toogle on/off payment terminal details on receipt","default":false},"sendInvoicesExternally":{"type":"boolean"}}},"TenantAppSettingsResponseSchema":{"title":"TenantAppSettingsResponseSchema","type":"object","required":["showOutOfStockWarning"],"properties":{"showOutOfStockWarning":{"type":"boolean"}}},"TenantExtensionSchema":{"title":"TenantExtensionSchema","type":"object","required":["extensionCode","name","active"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"},"active":{"type":"boolean"}}},"TenantAssetSchema":{"title":"TenantAssetSchema","type":"object","required":["logo","splash"],"properties":{"logo":{"$ref":"#/components/schemas/AssetUrlSchema"},"splash":{"$ref":"#/components/schemas/AssetUrlSchema"}}},"AssetUrlSchema":{"title":"AssetUrlSchema","type":"object","required":["url","assetUid"],"properties":{"url":{"type":"string"},"assetUid":{"$ref":"#/components/schemas/UID"}}},"TenantCurrencySchema":{"title":"TenantCurrencySchema","type":"object","required":["code","name","symbol","symbolPosition","decimalSeparator","thousandSeparator","cashRounding"],"properties":{"code":{"type":"string","description":"ISO 4217"},"name":{"type":"string"},"symbol":{"type":"string","description":"symbol or short name, e.g. `$`, `kr` etc. "},"symbolPosition":{"type":"string","description":"prefix or suffix to the amount"},"decimalSeparator":{"type":"string"},"thousandSeparator":{"type":"string"},"cashRounding":{"type":"integer","description":"the smallest amount accepted as cash"}}}},"responses":{"TenantResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}":{"put":{"description":"Required permission: TENANT ADMIN","operationId":"put-tenants-details","requestBody":{"$ref":"#/components/requestBodies/TenantUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/TenantResponse"}},"summary":"Update tenant details","tags":["Tenant"]}}}}
```

## List users

> List all users.\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"tenantuserQueryQuery":{"description":"Query string for tenant users","in":"query","name":"query","required":false,"schema":{"type":"string"}},"tenantuserOrganizationUid":{"description":"Reference to an Organization","in":"query","name":"tenantuserOrganizationUid","required":false,"schema":{"$ref":"#/components/schemas/UID"}},"tenantuserStoreUid":{"description":"Reference to a Store","in":"query","name":"tenantuserStoreUid","required":false,"schema":{"$ref":"#/components/schemas/UID"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantUserResponseSchema":{"title":"TenantUserResponseSchema","type":"object","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"createdAt":{"format":"date-time","type":"string"},"defaultStoreUid":{"$ref":"#/components/schemas/OptionalUID"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastAccessed":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"status":{"enum":["PENDING_INVITE","ACTIVE","INACTIVE"],"type":"string"},"storeAccess":{"type":"array","items":{"$ref":"#/components/schemas/UserStoreAccessResponseSchema"}},"tenantUid":{"$ref":"#/components/schemas/UID"},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"userCode":{"type":"string"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}},"required":["accountType","createdAt","displayName","email","externalId","firstname","lastAccessed","lastModifiedAt","lastname","mobile","status","storeAccess","tenantUid","tenantRole","tenantUserUid","userCode","languageCode"]},"TenantAccountTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Access to backoffice and onboarding of new devices|\n| REGULAR | Can only login to already onboarded devices|\n| SUPPORT | Support account|\n| INTEGRATION | Computer integration account|","enum":["FULL","REGULAR","SUPPORT","INTEGRATION"],"title":"TenantAccountTypeENUM","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"UserStoreAccessResponseSchema":{"title":"UserStoreAccessResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"storeAccessUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"storeRole":{"$ref":"#/components/schemas/StoreRoleENUM"}},"required":["createdAt","lastModifiedAt","storeAccessUid","storeUid","storeRole"]},"StoreRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ADMIN | Store admin.|\n| BACKOFFICE | Access to all backoffice functionality (price changes, purhcase order, etc)|\n| REGULAR | Access to app funtionality (product lookup, create sales, delivery)|","enum":["ADMIN","BACKOFFICE","REGULAR"],"title":"StoreRoleENUM","type":"string"},"TenantRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| BLOCKED | Blocked from this tenant|\n| ACCESS | Only access to the tenant.|\n| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores.|\n| BACKOFFICE | Access to product, pricelists, etc.|","enum":["ACCESS","ADMIN","BACKOFFICE","BLOCKED"],"title":"TenantRoleENUM","type":"string"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"TenantUserListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TenantUserResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/users":{"get":{"description":"List all users.\n\nRequired access: Tenant.Admin","operationId":"get-tenants-users","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/tenantuserQueryQuery"},{"$ref":"#/components/parameters/tenantuserOrganizationUid"},{"$ref":"#/components/parameters/tenantuserStoreUid"}],"responses":{"200":{"$ref":"#/components/responses/TenantUserListResponse"}},"summary":"List users","tags":["Tenant"]}}}}
```

## Create new user on a tenant

> Add user to tenant\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TenantUserCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUserCreateRequestSchema"}}}}},"schemas":{"TenantUserCreateRequestSchema":{"title":"TenantUserCreateRequestSchema","type":"object","description":"Email is required when accountType is FULL","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"password":{"type":"string"},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"userCode":{"type":"string"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}},"required":["accountType","password","tenantRole","userCode"]},"TenantAccountTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Access to backoffice and onboarding of new devices|\n| REGULAR | Can only login to already onboarded devices|\n| SUPPORT | Support account|\n| INTEGRATION | Computer integration account|","enum":["FULL","REGULAR","SUPPORT","INTEGRATION"],"title":"TenantAccountTypeENUM","type":"string"},"EmailTYPE":{"title":"Email","type":"string"},"TenantRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| BLOCKED | Blocked from this tenant|\n| ACCESS | Only access to the tenant.|\n| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores.|\n| BACKOFFICE | Access to product, pricelists, etc.|","enum":["ACCESS","ADMIN","BACKOFFICE","BLOCKED"],"title":"TenantRoleENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"TenantUserResponseSchema":{"title":"TenantUserResponseSchema","type":"object","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"createdAt":{"format":"date-time","type":"string"},"defaultStoreUid":{"$ref":"#/components/schemas/OptionalUID"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastAccessed":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"status":{"enum":["PENDING_INVITE","ACTIVE","INACTIVE"],"type":"string"},"storeAccess":{"type":"array","items":{"$ref":"#/components/schemas/UserStoreAccessResponseSchema"}},"tenantUid":{"$ref":"#/components/schemas/UID"},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"userCode":{"type":"string"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}},"required":["accountType","createdAt","displayName","email","externalId","firstname","lastAccessed","lastModifiedAt","lastname","mobile","status","storeAccess","tenantUid","tenantRole","tenantUserUid","userCode","languageCode"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UserStoreAccessResponseSchema":{"title":"UserStoreAccessResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"storeAccessUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"storeRole":{"$ref":"#/components/schemas/StoreRoleENUM"}},"required":["createdAt","lastModifiedAt","storeAccessUid","storeUid","storeRole"]},"StoreRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ADMIN | Store admin.|\n| BACKOFFICE | Access to all backoffice functionality (price changes, purhcase order, etc)|\n| REGULAR | Access to app funtionality (product lookup, create sales, delivery)|","enum":["ADMIN","BACKOFFICE","REGULAR"],"title":"StoreRoleENUM","type":"string"}},"responses":{"TenantUserResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUserResponseSchema"}}},"description":"Tenant user respose"}}},"paths":{"/tenants/{tenantUid}/users":{"post":{"description":"Add user to tenant\n\nRequired access: Tenant.Admin","operationId":"post-tenants-users","requestBody":{"$ref":"#/components/requestBodies/TenantUserCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/TenantUserResponse"}},"summary":"Create new user on a tenant","tags":["Tenant"]}}}}
```

## Get user details

> Get details for a user.\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantUserResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUserResponseSchema"}}},"description":"Tenant user respose"}},"schemas":{"TenantUserResponseSchema":{"title":"TenantUserResponseSchema","type":"object","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"createdAt":{"format":"date-time","type":"string"},"defaultStoreUid":{"$ref":"#/components/schemas/OptionalUID"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastAccessed":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"status":{"enum":["PENDING_INVITE","ACTIVE","INACTIVE"],"type":"string"},"storeAccess":{"type":"array","items":{"$ref":"#/components/schemas/UserStoreAccessResponseSchema"}},"tenantUid":{"$ref":"#/components/schemas/UID"},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"userCode":{"type":"string"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}},"required":["accountType","createdAt","displayName","email","externalId","firstname","lastAccessed","lastModifiedAt","lastname","mobile","status","storeAccess","tenantUid","tenantRole","tenantUserUid","userCode","languageCode"]},"TenantAccountTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Access to backoffice and onboarding of new devices|\n| REGULAR | Can only login to already onboarded devices|\n| SUPPORT | Support account|\n| INTEGRATION | Computer integration account|","enum":["FULL","REGULAR","SUPPORT","INTEGRATION"],"title":"TenantAccountTypeENUM","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"UserStoreAccessResponseSchema":{"title":"UserStoreAccessResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"storeAccessUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"storeRole":{"$ref":"#/components/schemas/StoreRoleENUM"}},"required":["createdAt","lastModifiedAt","storeAccessUid","storeUid","storeRole"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StoreRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ADMIN | Store admin.|\n| BACKOFFICE | Access to all backoffice functionality (price changes, purhcase order, etc)|\n| REGULAR | Access to app funtionality (product lookup, create sales, delivery)|","enum":["ADMIN","BACKOFFICE","REGULAR"],"title":"StoreRoleENUM","type":"string"},"TenantRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| BLOCKED | Blocked from this tenant|\n| ACCESS | Only access to the tenant.|\n| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores.|\n| BACKOFFICE | Access to product, pricelists, etc.|","enum":["ACCESS","ADMIN","BACKOFFICE","BLOCKED"],"title":"TenantRoleENUM","type":"string"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}":{"get":{"description":"Get details for a user.\n\nRequired access: Tenant.Admin","operationId":"get-tenants-users-details","responses":{"200":{"$ref":"#/components/responses/TenantUserResponse"}},"summary":"Get user details","tags":["Tenant"]}}}}
```

## Update tenant user

> Update user access for a tenant\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"resendInviteQuery":{"description":"Check external payment gateways and fetch status","in":"query","name":"resendInvite","schema":{"type":"boolean"}}},"requestBodies":{"TenantUserUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUserUpdateRequestSchema"}}}}},"schemas":{"TenantUserUpdateRequestSchema":{"title":"TenantUserUpdateRequestSchema","type":"object","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"defaultStoreUid":{"$ref":"#/components/schemas/UID"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"password":{"type":"string"},"storeAccess":{"type":"array","items":{"$ref":"#/components/schemas/UserStoreAccessCreateSchema"}},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"userCode":{"type":"string"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}}},"TenantAccountTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Access to backoffice and onboarding of new devices|\n| REGULAR | Can only login to already onboarded devices|\n| SUPPORT | Support account|\n| INTEGRATION | Computer integration account|","enum":["FULL","REGULAR","SUPPORT","INTEGRATION"],"title":"TenantAccountTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"EmailTYPE":{"title":"Email","type":"string"},"UserStoreAccessCreateSchema":{"properties":{"storeUid":{"$ref":"#/components/schemas/UID"},"storeRole":{"$ref":"#/components/schemas/StoreRoleENUM"}},"required":["storeUid","storeRole"],"title":"UserStoreAccessCreateSchema","type":"object"},"StoreRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ADMIN | Store admin.|\n| BACKOFFICE | Access to all backoffice functionality (price changes, purhcase order, etc)|\n| REGULAR | Access to app funtionality (product lookup, create sales, delivery)|","enum":["ADMIN","BACKOFFICE","REGULAR"],"title":"StoreRoleENUM","type":"string"},"TenantRoleENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| BLOCKED | Blocked from this tenant|\n| ACCESS | Only access to the tenant.|\n| ADMIN | Tenant admin, allow full access to tenant and can add users and new stores.|\n| BACKOFFICE | Access to product, pricelists, etc.|","enum":["ACCESS","ADMIN","BACKOFFICE","BLOCKED"],"title":"TenantRoleENUM","type":"string"},"LanguageCode":{"title":"LanguageCode","description":"ISO 639-1 code for language","type":"string"},"TenantUserResponseSchema":{"title":"TenantUserResponseSchema","type":"object","properties":{"accountType":{"$ref":"#/components/schemas/TenantAccountTypeENUM"},"createdAt":{"format":"date-time","type":"string"},"defaultStoreUid":{"$ref":"#/components/schemas/OptionalUID"},"displayName":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"firstname":{"type":"string"},"lastAccessed":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastname":{"type":"string"},"mobile":{"type":"string"},"status":{"enum":["PENDING_INVITE","ACTIVE","INACTIVE"],"type":"string"},"storeAccess":{"type":"array","items":{"$ref":"#/components/schemas/UserStoreAccessResponseSchema"}},"tenantUid":{"$ref":"#/components/schemas/UID"},"tenantRole":{"$ref":"#/components/schemas/TenantRoleENUM"},"tenantUserUid":{"$ref":"#/components/schemas/UID"},"userCode":{"type":"string"},"languageCode":{"$ref":"#/components/schemas/LanguageCode"}},"required":["accountType","createdAt","displayName","email","externalId","firstname","lastAccessed","lastModifiedAt","lastname","mobile","status","storeAccess","tenantUid","tenantRole","tenantUserUid","userCode","languageCode"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UserStoreAccessResponseSchema":{"title":"UserStoreAccessResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"storeAccessUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"storeRole":{"$ref":"#/components/schemas/StoreRoleENUM"}},"required":["createdAt","lastModifiedAt","storeAccessUid","storeUid","storeRole"]}},"responses":{"TenantUserResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUserResponseSchema"}}},"description":"Tenant user respose"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}":{"put":{"description":"Update user access for a tenant\n\nRequired access: Tenant.Admin","operationId":"put-tenants-users-details","parameters":[{"$ref":"#/components/parameters/resendInviteQuery"}],"requestBody":{"$ref":"#/components/requestBodies/TenantUserUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/TenantUserResponse"}},"summary":"Update tenant user","tags":["Tenant"]}}}}
```

## Delete a user from a tenant

> Deletes a user completely from a tenant.\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}":{"delete":{"description":"Deletes a user completely from a tenant.\n\nRequired access: Tenant.Admin","operationId":"delete-tenants-users-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a user from a tenant","tags":["Tenant"]}}}}
```

## Get list of integration tokens for a tenant user.

> Get list of integration tokens for a tenant user.\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantUserTokenListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TenantUserTokenResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}},"schemas":{"TenantUserTokenResponseSchema":{"properties":{"tenantUserTokenUid":{"$ref":"#/components/schemas/UID"},"token":{"type":"string"}},"required":["token","tenantUserTokenUid"],"title":"TenantUserTokenResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}/tokens":{"get":{"description":"Get list of integration tokens for a tenant user.\n\nRequired access: Tenant.Admin","operationId":"get-tenants-users-tokens","responses":{"200":{"$ref":"#/components/responses/TenantUserTokenListResponse"}},"summary":"Get list of integration tokens for a tenant user.","tags":["Tenant"]}}}}
```

## Create integration token for a tenant user

> Create integration token for a tenant user\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantUserTokenListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TenantUserTokenResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}},"schemas":{"TenantUserTokenResponseSchema":{"properties":{"tenantUserTokenUid":{"$ref":"#/components/schemas/UID"},"token":{"type":"string"}},"required":["token","tenantUserTokenUid"],"title":"TenantUserTokenResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}/tokens":{"post":{"description":"Create integration token for a tenant user\n\nRequired access: Tenant.Admin","operationId":"post-tenants-users-tokens","responses":{"200":{"$ref":"#/components/responses/TenantUserTokenListResponse"}},"summary":"Create integration token for a tenant user","tags":["Tenant"]}}}}
```

## Delete an integration token from a tenant user

> Deletes an integration token for a tenant user\
> \
> Required access: Tenant.Admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Tenant","description":"Tenant"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/users/{tenantUserUid}/tokens/{tenantUserTokenUid}":{"delete":{"description":"Deletes an integration token for a tenant user\n\nRequired access: Tenant.Admin","operationId":"delete-tenants-users-tokens-details","responses":{"204":{"description":"No Content"}},"summary":"Delete an integration token from a tenant user","tags":["Tenant"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/tenant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
